#define XMOS_JTAG_DEVICE_JTAGKEY 0
#define XMOS_JTAG_DEVICE_XDK 1
#define XMOS_JTAG_DEVICE_XTAG 2
#define XMOS_JTAG_DEVICE_XC5 3

#define XMOS_JTAG_RESET_TRST_SRST 0
#define XMOS_JTAG_RESET_TRST 1
#define XMOS_JTAG_RESET_TRST_SRST_JTAG 2
#define XMOS_JTAG_RESET_TRST_SRST_SPI 3

int xmos_jtag_init (int device_type, char *args, int enable_uart);
int xmos_jtag_deinit(void);
int xmos_jtag_speed(short divisor);
int xmos_jtag_reset(int type);
int xmos_jtag_irscan(unsigned char *bit_data, unsigned int bits);
int xmos_jtag_drscan(unsigned char *bit_data, unsigned int bits);
int xmos_jtag_set_execute(int execute);
int xmos_jtag_get_execute(void);
int xmos_jtag_statemove(int state);
int xmos_jtag_list_devices(int *num_devices, char **device_list);
int xmos_jtag_command(char *command, void *args);
int xmos_jtag_read_uart(unsigned char *buf, int size, int *read);
